Skip to main content
GET
/
v1
/
crm
/
sam-action-logs
/
{entityId}
List SAM Action Logs by Entity
curl --request GET \
  --url https://api.example.com/v1/crm/sam-action-logs/{entityId} \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "totalCount": 123,
    "totalPages": 123,
    "page": 123,
    "perPage": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "actionDate": "<string>",
      "samId": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

entityId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

q
string
size
number
default:20
page
number
default:1
sort
string
default:-createdAt
filter
object
expand
searchable
string[]
before
object
after
object

Response

The latest SAM action logs.

meta
object
required
data
object[]
required